MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025981Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-25 13:082015-10-23 20:51
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0025981: Wrong result obtained by projection algorithm.
DescriptionWrong result obtained by projection algorithm.
The result x is out of 2D Domain.
Steps To Reproduce# Use the following DRAW commands to reproduce the problem:
#
restore cb1_4 c
restore b2f f
mksurface s f

project x c s

TagsNo tags attached.
Test case numberbugs moddata_3 bug25981
Attached Files? file icon cb1_4 (19,036 bytes) 2015-03-25 13:09
? file icon b2f (164,953 bytes) 2015-03-25 13:10
png file icon x.png (4,535 bytes) 2015-03-25 13:12

- Relationships
child of 0025968closedbugmaster boolean returning an invalid shape 

-  Notes
(0042084)
git (administrator)
2015-06-10 14:40

Branch CR25981 has been created by aml.

SHA-1: c359ca78ba4804488f58c663593e3a321c1aab9a


Detailed log of new commits:

Author: aml
Date: Mon Jun 8 16:11:34 2015 +0300

    0025981: Wrong result obtained by projection algorithm.
    
    Adjust periodic added.
(0042105)
git (administrator)
2015-06-11 12:26

Branch CR25981 has been updated forcibly by aml.

SHA-1: 74c0169b0aac5bbaac1f13242c4dc7dc083d6577
(0042106)
aml (developer)
2015-06-11 12:27

Dear msv,
Pleace check current state of branch CR25981.
(0042131)
msv (developer)
2015-06-15 12:10

Remark:
Use VFrame when processing V parameter.
(0042133)
git (administrator)
2015-06-15 12:25

Branch CR25981 has been updated by aml.

SHA-1: 8539cb1d1020ac553a42f176c1dd159bde8c9728


Detailed log of new commits:

Author: aml
Date: Mon Jun 15 12:15:06 2015 +0300

    processing of V parameter periodicity added.

(0042134)
aml (developer)
2015-06-15 12:27

Dear msv,
Please check updated branch CR25981.
(0042135)
msv (developer)
2015-06-15 12:30

Reviewed.
(0042147)
git (administrator)
2015-06-15 13:58

Branch CR25981 has been updated forcibly by mkv.

SHA-1: aad30d20aac266e3b6687aeb87fd1ce3c14839e0
(0042157)
mkv (tester)
2015-06-16 12:39

Dear BugMaster,
Branch CR25981 was rebased on current master of occt git-repository.
SHA-1: aad30d20aac266e3b6687aeb87fd1ce3c14839e0
(0042158)
mkv (tester)
2015-06-16 12:40

Dear BugMaster,
Branch CR25981 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: aad30d20aac266e3b6687aeb87fd1ce3c14839e0

Number of compiler warnings:

occt component :
Linux: 25 (25 on master)
Windows: 0 (0 on master)

products component :
Linux: 37 (37 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR25981-master-occt-64/Debian70-64/draft/angle/G8.html [^]
draft angle G8 - was corrected and pushed to branch CR25981 of occt git-repository
http://occt-tests/CR25981-master-occt-64/Debian70-64/draft/angle/K7.html [^]
http://occt-tests/CR25981-master-occt-64/Windows-64-VC10/draft/angle/K7.html [^]
draft angle K7 - was corrected and pushed to branch CR25981 of occt git-repository

Testing cases:
http://occt-tests/CR25981-master-occt-64/Debian70-64/bugs/moddata_3/bug25981.html [^]
http://occt-tests/CR25981-master-occt-64/Windows-64-VC10/bugs/moddata_3/bug25981.html [^]
bugs moddata_3 bug25981: OK

Testing on Linux:
occt component :
Total MEMORY difference: 96923971 / 97498121 [-0.59%]
Total CPU difference: 18217.609999999906 / 18390.34000000008 [-0.94%]
products component :
Total MEMORY difference: 24190716 / 24348056 [-0.65%]
Total CPU difference: 7766.590000000003 / 7869.770000000022 [-1.31%]

Testing on Windows:
occt component :
Total MEMORY difference: 56746173 / 56699854 [+0.08%]
Total CPU difference: 17469.600383898938 / 17145.02470329893 [+1.89%]
products component :
Total MEMORY difference: 15542140 / 15546897 [-0.03%]
Total CPU difference: 6270.928197999953 / 6189.043273099954 [+1.32%]

There are following differences in images found by testdiff.
http://occt-tests/CR25981-master-occt-64/Debian70-64/diff-Debian70-64.html [^]
http://occt-tests/CR25981-master-occt-64/Windows-64-VC10/diff-Windows-64-VC10.html [^]
IMAGE geometry project A3: A3.png differs
IMAGE geometry project A7: A7.png differs
IMAGE draft angle F8: F8.png differs
IMAGE bugs moddata_3 bug25892_08: bug25892_08.png differs
IMAGE bugs modalg_5 bug24086: bug24086_Driver1_Viewer1_View1.png differs
(0042159)
git (administrator)
2015-06-16 12:40

Branch CR25981 has been updated by mkv.

SHA-1: 58ab791d260aa3d2a8adb951bec0af4c27a12dd2


Detailed log of new commits:

Author: mkv
Date: Tue Jun 16 12:25:04 2015 +0300

    Test case for issue CR25981

(0042161)
mkv (tester)
2015-06-16 12:40

Dear aml,
could you please review following test case
bugs moddata_3 bug25981
(0042166)
git (administrator)
2015-06-16 13:57

Branch CR25981 has been updated by aml.

SHA-1: 7c22f401d08073b5693ec23f7674a4939019234a


Detailed log of new commits:

Author: aml
Date: Tue Jun 16 13:53:03 2015 +0300

    minor test correction.

(0042167)
aml (developer)
2015-06-16 14:08

Dear mkv,

I
test bugs moddata_3 bug25981 corrected and pushed into CR25981 branch.

II
All differences are OK.
(0042205)
mkv (tester)
2015-06-17 17:31

OK.
Branch CR25981 is TESTED.
(0044232)
git (administrator)
2015-08-14 10:58

Branch CR25981 has been deleted by inv.

SHA-1: 7c22f401d08073b5693ec23f7674a4939019234a

- Related Changesets
occt: master 3960a825
Timestamp: 2015-06-18 10:39:46
Author: aml
Committer: bugmaster
Details ] Diff ]
0025981: Wrong result obtained by projection algorithm.

Adjust periodic added.

processing of V parameter periodicity added.

Test case for issue CR25981
mod - src/ProjLib/ProjLib_ProjectedCurve.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug25981 Diff ] File ]
mod - tests/draft/angle/G8 Diff ] File ]
mod - tests/draft/angle/K7 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-25 13:08 pkv New Issue
2015-03-25 13:08 pkv Assigned To => msv
2015-03-25 13:09 pkv File Added: cb1_4
2015-03-25 13:10 pkv File Added: b2f
2015-03-25 13:12 pkv File Added: x.png
2015-03-25 13:13 pkv Status new => assigned
2015-03-25 13:13 pkv Relationship added child of 0025068
2015-03-25 13:13 pkv Relationship deleted child of 0025068
2015-03-25 13:14 pkv Relationship added child of 0025968
2015-03-25 14:25 msv Assigned To msv => aml
2015-04-06 14:00 abv Target Version 6.9.0 => 7.1.0
2015-06-10 14:40 git Note Added: 0042084
2015-06-11 12:26 git Note Added: 0042105
2015-06-11 12:27 aml Note Added: 0042106
2015-06-11 12:27 aml Assigned To aml => msv
2015-06-11 12:27 aml Status assigned => resolved
2015-06-15 12:10 msv Note Added: 0042131
2015-06-15 12:10 msv Assigned To msv => aml
2015-06-15 12:10 msv Status resolved => assigned
2015-06-15 12:25 git Note Added: 0042133
2015-06-15 12:27 aml Note Added: 0042134
2015-06-15 12:27 aml Assigned To aml => msv
2015-06-15 12:27 aml Status assigned => resolved
2015-06-15 12:30 msv Note Added: 0042135
2015-06-15 12:30 msv Assigned To msv => bugmaster
2015-06-15 12:30 msv Status resolved => reviewed
2015-06-15 12:59 mkv Assigned To bugmaster => mkv
2015-06-15 13:58 git Note Added: 0042147
2015-06-16 12:39 mkv Note Added: 0042157
2015-06-16 12:40 mkv Note Added: 0042158
2015-06-16 12:40 mkv Assigned To mkv => aml
2015-06-16 12:40 mkv Status reviewed => feedback
2015-06-16 12:40 git Note Added: 0042159
2015-06-16 12:40 mkv Note Added: 0042161
2015-06-16 12:40 mkv Test case number => bugs moddata_3 bug25981
2015-06-16 13:57 git Note Added: 0042166
2015-06-16 14:08 aml Note Added: 0042167
2015-06-16 14:08 aml Assigned To aml => mkv
2015-06-17 17:31 mkv Note Added: 0042205
2015-06-17 17:31 mkv Assigned To mkv => bugmaster
2015-06-17 17:31 mkv Status feedback => tested
2015-06-19 11:49 bugmaster Changeset attached => occt master 3960a825
2015-06-19 11:49 bugmaster Status tested => verified
2015-06-19 11:49 bugmaster Resolution open => fixed
2015-07-03 15:31 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:58 git Note Added: 0044232
2015-08-26 11:14 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker